(defun c:banco ()
(setq pontos2d (getvar "osmode"))
(setq pontos3d (getvar "3dosmode"))
(setvar "osmode" 0)
(setvar "3dosmode" 0)

(setq pt1 (getpoint "Indique o ponto de inserção do banco: "))

(if (= nil
(setq comprimento (getreal "Indique o comprimento do retângulo base (em x): ")))
(setq comprimento 0.10))
(if (= nil
(setq largura (getreal "Indique a largura do retângulo base (em y): ")))
(setq largura 0.50))
(if (= nil
(setq altura (getreal "Indique a altura do retângulo base (em z): ")))
(setq altura 0.45))
(if (= nil
(setq esp1 (getreal "Indique a espessura do retângulo base: ")))
(setq esp1 0.10))

(modelar pt1 comprimento largura altura esp1)

(setq num-bancos (getint "Indique o número de bancos a serem criados: "))
(setq spacing (getreal "Indique o espaçamento entre os bancos: "))

(command "ucs" pt1 "")
(setq pt2 (list (+ (car pt1) (* num-bancos spacing)) (cadr pt1) (caddr pt1)))
(command "array" pt1 pt2 (list spacing 0 0) num-bancos 1 "")
(command "ucs" "w" "")
)

(defun modelar (pt1 comprimento largura altura esp1)
(command "ucs" pt1 "")
(command "box" (list 0 0 0) (list comprimento largura altura))
(setq e1 (entlast))
(command "ucs" "")
)
